#!/bin/sh

VER=1.6.0-2

nmake /f makefile.osgeo4w 
cd georaster
nmake /f makefile.osgeo4w 
cd ..

rm gdal16-oracle*.bz2

rm -rf apps
mkdir -p apps/gdal-16/bin/gdalplugins

cp ogr_OCI.dll apps/gdal-16/bin/gdalplugins
cp georaster/gdal_GEOR.dll apps/gdal-16/bin/gdalplugins

tar cjvf gdal16-oracle-${VER}.tar.bz2 apps

rm -rf src
mkdir -p src/gdal-16/oracle/oci
mkdir -p src/gdal-16/oracle/georaster

cp makefile.osgeo4w *.cpp *.h *.sh src/gdal-16/oracle/oci
cp georaster/{makefile.osgeo4w,*.cpp,*.h} src/gdal-16/oracle/georaster

tar cjvf gdal16-oracle-${VER}-src.tar.bz2 src
